Create payment method

Create a saved payment method.

To duplicate a saved payment method, set the payment_method_id of the payment method to be duplicated. Billing contact and metadata is not persisted from the duplicated payment method and must be defined on the Payment Method Config or on the request. Only the stored sensitive payment method details (i.e full card or bank account number) will persist to the duplicated payment method.

If the method_type is set, then this endpoint requires Rainforest approval. Platforms that meet all requirements and are approved by Rainforest can send the full card and bank account numbers to Rainforest via a server-to-serve direct API integration.

Body Params
string
required

The unique payment method config identifier. A payment method must be configured prior to this request. See "Create a Payment Method Config" if a payment method configuration has not been created yet.

Prefix is "pmc" in production and "sbx_pmc" in sandbox.

string

The unique payment method identifier of the payment method to duplicate. Required if method_type is not provided.

The payment method status must be ACTIVE or REPLACED to be duplicated. If REPLACED, Rainforest will automatically duplicate the most up-to-date information using the Active payment method linked to the Replaced payment method.

This will duplicate the sensitive payment method details (i.e full card or bank account number). Billing contact and metadata must be defined on the Payment Method Config or on the request.

Prefix is "mtd" in production and "sbx_mtd" in sandbox.

string
enum

The type of payment method. Required if payment_method_id is not provided.

Allowed:
card
object

Card payment method. Required for method_type CARD.

ach
object

ACH payment method details. Required for method_type ACH.

billing_contact
object

Billing contact details. The following billing contact fields are required for payment processing depending on the payment method type:

  • Card: postal_code
  • ACH: name

The billing contact fields can also be passed when processing a payment using the stored payment method.

Headers
string
enum
Defaults to 2024-10-16
Allowed:
Responses

Language
Credentials
Bearer
APIKey
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json